{% extends 'base.html.twig' %}

{% block title %}VLBP - Ajouter un bon plan{% endblock %}

{% block body %}
<!-- Bande titre -->
<div class="container-fluid cover titre-deal">
    <div class="container py-5">
        <h1 class="text-center text-white">Les Bons Plans</h1>
        <p>Retrouvez ici tous les bons plans qui ont été partagés par notre super communauté !
            N'hésitez pas à proposer les bons plans que vous avez trouvé en nous rejoignant !</p>
    </div>
</div>
<div class="container bg-white shadow py-3 my-4">
    <a href="{{ path('deal') }}" class="btn btn-color ml-auto mt-4"> Retour à la liste</a>
        <h4 class="text-center">Ajouter un bon plan :</h4>
    {{ form_start(form) }}
    <div class="form-group">
        {{ form_label(form.titre) }}
        {{ form_widget(form.titre, {'attr': {'class': 'form-control', 'placeholder': 'Titre du bon plan'} }) }}
    </div>
    <div class="form-group">
        {{ form_label(form.categorie, 'Catégorie') }}
        {{ form_widget(form.categorie, {'attr': {'class': 'form-control'}}) }}
    </div>
    <div class="form-group">
        {{ form_label(form.description) }}
        {{ form_widget(form.description, {'attr': {'class': 'form-control', 'placeholder': 'Description du bon plan'} })
        }}
    </div>
    <div class="form-group">
        {{ form_label(form.prix) }}
        {{ form_widget(form.prix, {'attr': {'class': 'form-control', 'placeholder': 'Prix du bon plan'} }) }}
    </div>
    <div class="form-group">
        {{ form_label(form.imageFile, 'Image') }}
        {{ form_widget(form.imageFile, {'attr': {'class': 'form-control'} })}}
    </div>
    <div class="form-group">
        {{ form_label(form.expire, 'Le bon plan expire dans') }}
        {{ form_widget(form.expire, {'attr': {'class': 'form-control'} }) }}
    </div>
    <div class="text-right">
        <button type="submit" class="btn btn-deal text-light mt-3">Envoyer</button>
    </div>
    {{ form_row(form._token) }}
    {{ form_end(form, {'render_rest':false }) }}
</div>
{% endblock %}